Subject: Re: sh crashes on 95
From: [email-masked] (Tony FITZPATRICK)

14 Aug 1997 20:26:08 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Light Version 3.0.2 (32)
Original-To: "Colman Curtin" <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Sonic Junior wrote:
>>
>> Okay... when I'm doing make, sh has a habit of crashing. It's got bad
>>recently. Where can I get da patch? Ack!
>>
>> SJ
>>

At 19:49 13/08/97 +0100, you replied

>Yip I've run into the same problem. Running configure scripts it seems to
>choke at no particular point some times it get further than others. If I
>reboot under NT4 configure completes to the end.
>Looking at the processes while a configure is in progress I have seen up to
>six instances of sh running, I haven't seen more as it normally dies and more
>often than not needs the three fingered salute!
>
>Anyone got any ideas??
>

I posted this problem to the list some time ago and having received no
replies thought it was specific to me, obviously it isn't. All of Sergeys
cygwin.dlls exhibit this problem with "configure" on  W95. By a process of
elimination I have traced it the modification of "fork.cc" in the very
first set of changes posted by Sergey (called "itimer.tar.gz" on his web
page). I can include all the other modifs. from this set and the
regenerated cygwin.dll executes "configure" faultlessly. If I then
regenerate with the new "fork.cc" I get the problem with "sh" crashing the
system. That's as far as I've got for the moment. The original patch to
fork (see below) is considerably updated in subsequent patches from Sergey
but none of them seem to solve this particular problem. Please feel free to
comment if you have any ideas but don't expect a rapid reply as I leave on
two weeks vacation tommorow :^)

			Tony (W95 SP1 P100 32Mb)

diff -crN winsup.orig/fork.cc winsup/fork.cc
*** winsup.orig/fork.cc	Fri Apr 25 03:45:37 1997
--- winsup/fork.cc	Thu May 15 18:49:29 1997
***************
*** 278,283 ****
--- 278,284 ----
        child->dwProcessId = pi.dwProcessId;
        child->uid = u->self->uid;
        child->gid = u->self->gid;
+       child->umask = u->self->umask;
        child->sigs = u->self->sigs;
        child->sig_mask = u->self->sig_mask;
        set_child_mmap_ptr (child);
***************
*** 395,400 ****
--- 396,405 ----
        debug_printf ("fork_helper: child is running\n");
  
        u->self = s->p[x];
+ 
+       /* Initialize hidden window */
+       window_init();
+ 
        reent_data = u->self->reent_save;
        debug_printf ("fork child: self %p, pid %d, ppid %d\n",
  		    u->self, x, u->self->ppid);  
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".